#ifdef WIN32
#include <windows.h>
#endif

#include <cstdlib>
#include <iostream>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

#include "structure.h"
#include "headers.h"
#include "constantes.h"



/*    Ceci est un cas particulier et non une implémentation d'IA :
	"Celui qui prend la derniére allumette a perdu la partie"
*/


/*
   Avec cette configuration il est impossible que le joueur gagne la partie puisque
   c'est lui qui commence donc l'ordi n'a qu'a créé des nombres paires (4) a chaque tour ,
   avec n'importe quel combinaison possible le joueur termine la partie avec la dernière allumette (1)
   et donc perd la partie */


  void computer (Tools *T)
  {
  	static short temp = 0;

	while ((T->nb_Remove_Match + temp) % 4 != 0)
	temp++;
	T->nb_Remove_Match = temp;
	temp = 0;


	/* une autre façon de faire  */

  /*
  	if (T->nb_Remove_Match == 1)
	T->nb_Remove_Match = 3;

  	else
  	if (T->nb_Remove_Match == 2)
  	T->nb_Remove_Match = 2;

  	else
  	if (T->nb_Remove_Match == 3)
  	T->nb_Remove_Match = 1;

  	*/

  }

   /*
      2ém JEU :
      "Celui qui prend la dernière allumette gagne la partie"
      Pour ça il faut implémenté une IA avec l'algorithme (MIN-MAX) par exemple (le fichier IA.txt).

      Si vous entent intéressé  vous trouverez  des tas de codes MIN-MAX du jeu de NIM qui
      traitent l'IA sur Codes-Sources (langage C).
   */
